Bug 53146 - sndconfig && ymfpci && Tecra 8100
sndconfig && ymfpci && Tecra 8100
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-04 11:33 EDT by Piet E Barber
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 13:23:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piet E Barber 2001-09-04 11:33:53 EDT
Description of Problem:
Sound does not work on Toshiba Tecra 8100.  It worked in RH 7.1
sndconfig, when prompted to probe for sound on a Tecra 8100 will properly
detect the Yamaha 

The problem is sporadic and hard to track down. 

Version-Release number of selected component (if applicable):
sndconfig-0.65.1-1

How Reproducible:
On two different Toshiba Tecra 8100s, I have had spurious support for the
sound cards. 

I was writing the bug report for this, and miraculously, the sound started
working on my Tecra 8100 (without me doing anything)
(very frustrating)

Thankfully, my co-worker's laptop, another Tecra 8100, has no working sound
on his. 

I compared /etc/modules.conf. 

Here's mine:


alias eth0 3c59x
alias parport_lowlevel parport_pc
alias sound-slot-0 ymfpci
post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null
2>&1 || :
pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null
2>&1 || :
alias usb-controller usb-uhci
options sb support=1


Here's his (and what mine was when sound wasn't working)
alias eth0 3c59x
alias parport_lowlevel parport_pc
alias sound-slot-0 ymfpci
post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null
2>&1 || :
pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null
2>&1 || :
alias usb-controller usb-uhci


Whenever I had the /etc/modules.conf without the 'options sb support=1'
tag, I would get lots of modprobe errors [URL 1]

Steps to Reproduce:
1. Install system on Tecra 8100
2. run sndconfig
3. modprobe section fails (Screenshot in URL 2)
3a. (/proc/pci on system which failed is located at URL 3)


1. Write bug report to bugzilla
2. run sndconfig so that you can prove sndconfig is broken
3. modprobe section miraculously works. 
3a (/proc/pci on system which worked is located at URL 4)

Actual Results:
When broken: sndconfig successfully detected soundcard, but
when it attempted to load module, modprobe broke.

When I booted this morning, it miraculously worked, and I didn't even do
anything to fix it.

Expected Results:
I expected ymfpci module to correctly load, and I can't identify why it
sometimes works and sometimes doesn't. 

Additional Information:
	
[URL 1] http://skylinesoaring.org/RH/ymfpci-modprobe.txt
[URL 2] http://skylinesoaring.org/RH/sndconfig-screenshot.jpg
[URL 3] http://skylinesoaring.org/RH/proc-pci-fail.txt
[URL 4] http://skylinesoaring.org/RH/proc-pci-workey.txt

I'll be happy to submit more information if requested.
Comment 1 Bill Nottingham 2001-09-04 14:12:33 EDT
You shouldn't need to use the SB support any more, I think.

Assigning to the kernel.

Note You need to log in before you can comment on or make changes to this bug.